@charset "UTF-8";
/* -------------------------------------------------------------------------------- */
/* DEVELOPPEMENT x25
/* Fichier: css_0.css
/* Fonction: styles CSS pour le site public (définition des bases)
/* PGB, 17.02.2026
/* -------------------------------------------------------------------------------- */



/*		VARIABLES GLOBALES
/* wwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwww */
:root {
	--pink: #e6007e;
	--pink-pale: #f8b8db;
	--pink-sombre: #8d1c5a;
	--bleu: #0099ff;
	--gris-clair: #ececec;

	--couleur-faux: #ff3333;
	--couleur-juste: #55aa55;
	--couleur-attention: #ff9900;

	--couleur-page-fond: #ffffff;
	--couleur-page-text: #000000;
	--couleur-header-fond: #ffffff;
	--couleur-header-text: #000000;
	--couleur-footer-fond: #333333;
	--couleur-footer-text: #cccccc;

	--couleur-liens: var(--pink);
	--couleur-survol: var(--pink);
	--couleur-survol-text: var(--bleu);
	--couleur-survol-fond: #f0f0f0;

	--couleur-nav-fond: #888888;
	--couleur-nav-text: #ffffff;
	--couleur-nav-survol: var(--couleur-survol);
	--image-nav-mobile-declencheur: url('/x25/ressources/images_admin/menu_mobile.png');
	--image-nav-mobile-declencheur-bas: url('/x25/ressources/images_admin/menu_mobile_bas.png');
	--image-nav-mobile-declencheur-haut: url('/x25/ressources/images_admin/menu_mobile_haut.png');

	--couleur_boutons_fond: var(--couleur-violet-fonce);
	--couleur_boutons_texte: #ffffff;
	--couleur_boutons_2_fond: #ffcc00;
	--couleur_boutons_2_texte: #000000;
	--couleur_boutons_3_fond: #00cc00;
	--couleur_boutons_3_texte: #ffffff;
	--couleur_boutons_4_fond: #ff0000;
	--couleur_boutons_4_texte: #ffff00;
	--couleur_input_fond: #f8f8f8;
	--couleur_input_fond_focus: #fffffc;

	}



/*		RESET et BASE
/* wwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwww */
*,
*::before, 
*::after {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
	}

html {
	/* font-size: 62.5%;  /* 62.5% pour que 1rem = 10px */
	}
body {
	/* font-family: Arial, Helvetica, sans-serif; */
	/* font-family: Arial Narrow, Helvetica Narrow, sans-serif; */
	/* font-family: Verdana, Arial, Helvetica, sans-serif; */
	/* font-family: Impact, Arial, Helvetica, sans-serif; */
	/* font-family: "Myriad Pro", "Trebuchet MS", Arial, Helvetica, sans-serif; */
	/* font-family: "Times New Roman", Times, serif; */
	/* font-family: "Source Sans 3", sans-serif; */
	font-family: 'Nunito', sans-serif; 
	font-optical-sizing: auto;
	font-weight: 400;  /* 200...1000 */
	font-size: 1.2rem;
	line-height: 1.3;
	/* Attention aux valeurs éventuellement redéfinies dans css_1_mobile et css_2_desktop */
	background: var(--couleur-page-fond);
	color: var(--couleur-page-text);
	}
strong, b {
	font-weight: 800;
	}
em, i {
	font-style: italic;
	}

a {
	color: var(--couleur-liens);
	/* text-decoration: none; */
	}
a:hover {
	/* background: var(--couleur-survol-fond); */
	color: var(--couleur-survol-text);
	/* text-decoration: underline; */
    }
img { 
	max-width: 100%;
	border: 0px; 
	}



/* PUCES DE TYPES DE DOCUMENTS
/* -------------------------------------------------- */
li.puce-link { list-style-image: url("/x25/ressources/images/puces/puce_link.png"); }
li.puce-ancre { list-style-image: url("/x25/ressources/images/puces/puce_ancre.png"); }
li.puce-pdf { list-style-image: url("/x25/ressources/images/puces/puce_pdf.png"); }
li.puce-txt { list-style-image: url("/x25/ressources/images/puces/puce_txt.png"); }
li.puce-word { list-style-image: url("/x25/ressources/images/puces/puce_word.png"); }
li.puce-excel { list-style-image: url("/x25/ressources/images/puces/puce_excel.png"); }
li.puce-powerpoint { list-style-image: url("/x25/ressources/images/puces/puce_powerpoint.png"); }



/* JUSTE ou FAUX
/* -------------------------------------------------- */
.faux,
.erreur { 
	color: var(--couleur-faux);
	font-weight: bold;
	}
.juste,
.succes { 
	color: var(--couleur-juste);
	font-weight: bold;
	}
.attention,
.avertissement { 
	color: var(--couleur-attention);
	font-weight: bold;
	}



/* SECTIONS DEROULANTES
/* -------------------------------------------------- */
input[type=checkbox].declencheur-deroulant {
    display: none;
    }
label.declencheur-deroulant {
    display: block;
	color: var(--couleur-liens);
	/* text-decoration: underline; */
    }
label.declencheur-deroulant::after {
    content: "  +";
    font-size: 1.4em;
    font-weight: bold;
    }
input[type=checkbox]:checked ~ label.declencheur-deroulant::after {
    content: "  -";
    font-size: 1.4em;
    font-weight: bold;
    }
div.section-deroulante {
    display: none;
    }
input[type=checkbox]:checked ~ div.section-deroulante {
    display: block;
    }



/* FORMULAIRES
/* -------------------------------------------------- */
input[type=text],
input[type=password],
input[type=date],
input[type=datetime-local],
area,
select {
	max-width: 95%;
	border: 1px solid #999999;
	background: var(--gris-clair)
	padding: 3px 5px;
	font-size: 1em;
	}
input:focus,
area:focus {
	background: #ffffff;
	}
input[type=submit] {
	margin: 10px 0px 0px 0px;
	background: var(--couleur-liens); 
    border: none;
    border-radius: 0px; 
	padding: 3px 10px;
	font-size: 1em;
	font-weight: normal;
	color: #ffffff;
	}
input:focus:invalid + .controle::after,
textarea:focus:invalid + .controle::after {
	position: absolute; 
	padding-left: 10px;
    content: '✖'; 
	color: var(--couleur-faux); 
    }
/*
input:valid ~ .controle::after,
textarea:valid ~ .controle::after {
	position: absolute; 
	padding-left: 10px; 
    content: '✓'; 
	color: var(--couleur-juste); 
    }
*/
